Get heat-map resources for an event.
post
/sia/v1/impact/heatmap/events/{eventId}/resources
Returns resources for the specified event after applying the supplied filters.
Request
Path Parameters
-
eventId(required): string
The event identifier used to find resources.Example:
PE1788348415714
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
endDate: string
(date)
Example:
2022-03-10 -
filters: array
filters
-
startDate: string
(date)
Example:
2022-03-10 -
tileKey: string
Nested Schema : FilterChip
Type:
Show Source
object-
filter: string
Name of the smart search filter.
-
value:
value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Heat-map resources retrieved successfully.
Root Schema : HeatMapResourcesResponse
Type:
Show Source
object-
endDate: string
(date)
Example:
2022-03-10 -
eventId: string
-
resources: array
resources
-
startDate: string
(date)
Example:
2022-03-10
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred